SD_JOURNAL_GET_CATALOG(3)

NAME
sd_journal_get_catalog, sd_journal_get_catalog_for_message_id - Retrieve message catalog entry

SYNOPSIS

#include <elogind/sd-journal.h>

int sd_journal_get_catalog(sd_journal *j, char **ret);

int sd_journal_get_catalog_for_message_id(sd_id128_t id, char **ret);

DESCRIPTION

As elogind can not open any systemd journals, the functions sd_journal_get_catalog() and sd_journal_get_catalog_for_message_id() do nothing.

RETURN VALUE

sd_journal_get_catalog() and sd_journal_get_catalog_for_message_id() always return -ENOENT.

SEE ALSO

elogind(8), elogind.journal-fields(7), sd_journal_open(3), sd_journal_next(3), sd_journal_get_data(3), malloc(3)